# Interface ICefResourceReadCallback

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFInterfaces

## Declaration

`type ICefResourceReadCallback = interface(ICefBaseRefCounted)`

## Description

Callback for asynchronous continuation of ICefResourceHandler.read.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_resource_handler_capi.h">CEF source file: /include/capi/cef_resource_handler_capi.h (cef_resource_read_callback_t))

## Hierarchy

- IInterface
- ICefBaseRefCounted
- ICefResourceReadCallback

## Overview

### Methods

| `procedure Cont(bytes_read: int64);`

## Description

### Methods

| `procedure Cont(bytes_read: int64);`
Callback for asynchronous continuation of read(). If |bytes_read| == 0 the response will be considered complete. If |bytes_read| > 0 then read() will be called again until the request is complete (based on either the result or the expected content length). If |bytes_read| < 0 then the request will fail and the |bytes_read| value will be treated as the error code. ###### Attributes GUID['{7669335F-7A4B-4657-86CA-C02B12369602}']

Generated by PasDoc 0.16.0-snapshot.